unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ComCtrls, Buttons, Crt, (*Beachte KeyPreview im Formular*)
  Process;

type

  { TFormsimpleGUIbefehle }

  TFormsimpleGUIbefehle = class(TForm)
    BitBtnStart: TBitBtn;
    ButtonAbbruch: TButton;
    Button_arp: TButton;
    Button_bleachbit: TButton;
    Button_bleachbitRoot: TButton;
    Button_xkill: TButton;
    Button_vnstat: TButton;
    Button_gparted: TButton;
    Button_ipscan: TButton;
    Button_psensor: TButton;
    Button_linssid: TButton;
    Button_hardinfo: TButton;
    Button_sensors: TButton;
    Button_fastfetch: TButton;
    Button_duf: TButton;
    Button_hdparm: TButton;
    Button_inxi: TButton;
    Button_sync: TButton;
    Button_rtc: TButton;
    Button_iotop: TButton;
    Button_ping: TButton;
    Button_BIOS: TButton;
    Button_btop: TButton;
    Button_smartctl: TButton;
    Button_sgdisk: TButton;
    Button_timeout: TButton;
    Button_sigkill: TButton;
    Button_Displayserver: TButton;
    Button_traceroute: TButton;
    Button_rfkill: TButton;
    Button_systemdAnalyzeTime: TButton;
    Button_ncdu: TButton;
    Button_lscpu: TButton;
    Button_lshw: TButton;
    Button_lsusb: TButton;
    Button_ip: TButton;
    Button_help: TButton;
    Button_dmesg: TButton;
    Button_dmesgErr: TButton;
    Button_netstat: TButton;
    Button_keyboard: TButton;
    Button_blkid: TButton;
    Button_nethogs: TButton;
    Button_iftop: TButton;
    Button_nmap: TButton;
    Button_top: TButton;
    Button_fdisk: TButton;
    Button_Motherboard: TButton;
    Button_uname: TButton;
    Button_man: TButton;
    Button_df: TButton;
    Button_lspci: TButton;
    Button_lsblk: TButton;
    EditBefehl: TEdit;
    LabelAbbruchBefehl: TLabel;
    LabelNetzwerk: TLabel;
    LabelSystem: TLabel;
    LabelAnleitung: TLabel;
    LabelBefehl: TLabel;
    LabelDatentraeger: TLabel;
    MemoAnleitung: TMemo;
    PanelComputer: TPanel;
    Process: TProcess;
    StatusBar: TStatusBar;
    procedure BitBtnStartClick(Sender: TObject);
    procedure ButtonAbbruchClick(Sender: TObject);
    procedure Button_bleachbitClick(Sender: TObject);
    procedure Button_bleachbitRootClick(Sender: TObject);
    procedure Button_gpartedClick(Sender: TObject);
    procedure Button_linssidClick(Sender: TObject);
    procedure Button_arpClick(Sender: TObject);
    procedure Button_BIOSClick(Sender: TObject);
    procedure Button_btopClick(Sender: TObject);
    procedure Button_DisplayserverClick(Sender: TObject);
    procedure Button_dmesgClick(Sender: TObject);
    procedure Button_dmesgErrClick(Sender: TObject);
    procedure Button_dufClick(Sender: TObject);
    procedure Button_fastfetchClick(Sender: TObject);
    procedure Button_hardinfoClick(Sender: TObject);
    procedure Button_hdparmClick(Sender: TObject);
    procedure Button_helpClick(Sender: TObject);
    procedure Button_iftopClick(Sender: TObject);
    procedure Button_iotopClick(Sender: TObject);
    procedure Button_ipClick(Sender: TObject);
    procedure Button_ipscanClick(Sender: TObject);
    procedure Button_keyboardClick(Sender: TObject);
    procedure Button_lsblkClick(Sender: TObject);
    procedure Button_lshwClick(Sender: TObject);
    procedure Button_lscpuClick(Sender: TObject);
    procedure Button_lspciClick(Sender: TObject);
    procedure Button_lsusbClick(Sender: TObject);
    procedure Button_manClick(Sender: TObject);
    procedure Button_MotherboardClick(Sender: TObject);
    procedure Button_ncduClick(Sender: TObject);
    procedure Button_nethogsClick(Sender: TObject);
    procedure Button_netstatClick(Sender: TObject);
    procedure Button_nmapClick(Sender: TObject);
    procedure Button_pingClick(Sender: TObject);
    procedure Button_psensorClick(Sender: TObject);
    procedure Button_rfkillClick(Sender: TObject);
    procedure Button_rtcClick(Sender: TObject);
    procedure Button_sensorsClick(Sender: TObject);
    procedure Button_sigkillClick(Sender: TObject);
    procedure Button_smartctlClick(Sender: TObject);
    procedure Button_sgdiskClick(Sender: TObject);
    procedure Button_syncClick(Sender: TObject);
    procedure Button_systemdAnalyzeTimeClick(Sender: TObject);
    procedure Button_timeoutClick(Sender: TObject);
    procedure Button_tracerouteClick(Sender: TObject);
    procedure Button_unameClick(Sender: TObject);
    procedure Button_inxiClick(Sender: TObject);
    procedure Button_topClick(Sender: TObject);
    procedure Button_fdiskClick(Sender: TObject);
    procedure Button_dfClick(Sender: TObject);
    procedure Button_blkidClick(Sender: TObject);
    procedure Button_vnstatClick(Sender: TObject);
    procedure Button_xkillClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure LabelAnleitungClick(Sender: TObject);
    procedure PanelComputerClick(Sender: TObject);

  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  FormsimpleGUIbefehle: TFormsimpleGUIbefehle;

  TextDatei:                   TextFile;
  TextZeile:                   string;

const
  Apostroph=#39;

implementation

{$R *.lfm}

{ TFormsimpleGUIbefehle }

(*--------------------------- StartBedingungen -------------------------------*)

procedure TFormsimpleGUIbefehle.FormCreate(Sender: TObject);

begin
  EditBefehl.Text := 'man man';

  ButtonAbbruch.Enabled:=false;

  AssignFile(TextDatei,'/tmp/simpleGUIbefehle.sh');                             // /tmp
  Try                                                                           // Anlegen Skript für Rechte einstellen
    Rewrite(TextDatei);                                                         // hier günstig, da Rechte bei Rewrite erhalten bleiben!
    Except
      ShowMessage('Skript simpleGUIbefehle.sh kann nicht anlegen werden! Bitte Verzeichnisse und Rechte prüfen!');
      Halt;
  end;

  TextZeile:='#!/bin/bash';
  WriteLN(Textdatei,TextZeile);
  CloseFile(TextDatei);

  Process.CommandLine:='chmod 777 /tmp/simpleGUIbefehle.sh';                    // Recht einstellen /tmp
  Process.Active:=true;                                                         // eigentlicher Aufruf

  StatusBar.Panels[0].Text:='Programm simpleGUIbefehle gestartet. Die Voreinstellungen sind optimal!';
end;

procedure TFormsimpleGUIbefehle.LabelAnleitungClick(Sender: TObject);
begin

end;

procedure TFormsimpleGUIbefehle.PanelComputerClick(Sender: TObject);
begin

end;

(*--------------------------- man --------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_manClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_man.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_man.Caption+'" geändert. Achtung! Für <Paket> einen gültigen Paket-Name editieren.';
end;

(*--------------------------- help -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_helpClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_help.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_help.Caption+'" geändert. Achtung! Für <Befehl> einen gültigen Befehl-Name editieren.';
end;

(*--------------------------- uname ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_unameClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_uname.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_uname.Caption+'" geändert.';
end;

(*--------------------------- inxi -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_inxiClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_inxi.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_inxi.Caption+'" geändert.';
end;

(*--------------------------- hardinfo ---------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_hardinfoClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_hardinfo.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_hardinfo.Caption+'" geändert.';
end;
(*--------------------------- Motherboard ------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_MotherboardClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_Motherboard.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_Motherboard.Caption+'" geändert.';
end;

(*--------------------------- lshw -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_lshwClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_lshw.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_lshw.Caption+'" geändert.';
end;

(*--------------------------- lscpu ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_lscpuClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_lscpu.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_lscpu.Caption+'" geändert.';
end;

(*--------------------------- blkid ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_blkidClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_blkid.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_blkid.Caption+'" geändert.';
end;

(*--------------------------- fdisk ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_fdiskClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_fdisk.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_fdisk.Caption+'" geändert.';
end;

(*--------------------------- df ---------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_dfClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_df.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_df.Caption+'" geändert.';
end;

(*--------------------------- iotop ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_iotopClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_iotop.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_iotop.Caption+'" geändert.';
end;

(*--------------------------- smartctl ---------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_smartctlClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_smartctl.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_smartctl.Caption+'" geändert. Laufwerksbuchstabe editieren!';
end;

(*--------------------------- hdparm -----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_hdparmClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_hdparm.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_hdparm.Caption+'" geändert. Laufwerksbuchstabe editieren!';
end;

(*--------------------------- lsblk ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_lsblkClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_lsblk.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_lsblk.Caption+'" geändert.';
end;

(*--------------------------- lspci ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_lspciClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_lspci.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_lspci.Caption+'" geändert.';
end;

(*--------------------------- lsusb ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_lsusbClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_lsusb.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_lsusb.Caption+'" geändert.';
end;

(*--------------------------- top --------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_topClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_top.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_top.Caption+'" geändert.';
end;

(*--------------------------- btop -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_btopClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_btop.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_btop.Caption+'" geändert.';
end;

(*--------------------------- Displayserver ----------------------------------*)

procedure TFormsimpleGUIbefehle.Button_DisplayserverClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_Displayserver.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_Displayserver.Caption+'" geändert.';
end;

(*--------------------------- fastfetch --------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_fastfetchClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_fastfetch.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_fastfetch.Caption+'" geändert.';
end;

(*--------------------------- ip ---------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_ipClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_ip.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_ip.Caption+'" geändert.';
end;

(*--------------------------- netstat ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_netstatClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_netstat.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_netstat.Caption+'" geändert.';
end;


(*--------------------------- iftop ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_iftopClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_iftop.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_iftop.Caption+'" geändert. Beachte längere Scanzeit und evtl. Beinträchtigung des Netzwerkes!';
end;

(*--------------------------- nethogs ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_nethogsClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_nethogs.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_nethogs.Caption+'" geändert. Beachte längere Scanzeit und evtl. Beinträchtigung des Netzwerkes!';
end;

(*--------------------------- rfkill -----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_rfkillClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_rfkill.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_rfkill.Caption+'" geändert.';
end;

(*--------------------------- ping -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_pingClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_ping.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_ping.Caption+'" geändert. IP-Adresse editieren!';
end;

(*--------------------------- traceroute -------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_tracerouteClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_traceroute.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_traceroute.Caption+'" geändert. Internet-Adresse editieren!';
end;

(*--------------------------- angry ip-scanner -------------------------------*)

procedure TFormsimpleGUIbefehle.Button_ipscanClick(Sender: TObject);
begin
  EditBefehl.Text:='sh /usr/bin/ipscan';
  StatusBar.Panels[0].Text:='Befehl in "'+Button_ipscan.Caption+'" geändert.';
end;

(*--------------------------- LinSSID ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_linssidClick(Sender: TObject);
begin
  EditBefehl.Text:='linssid-pkexec';
  StatusBar.Panels[0].Text:='Befehl in "'+Button_linssid.Caption+'" geändert.';
end;

(*--------------------------- ncdu -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_ncduClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_ncdu.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_ncdu.Caption+'" geändert.';
end;

(*--------------------------- dmesg ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_dmesgClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_dmesg.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_dmesg.Caption+'" geändert.';
end;

(*--------------------------- dmesg err --------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_dmesgErrClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_dmesgErr.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_dmesgErr.Caption+'" geändert.';
end;

(*--------------------------- duf --------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_dufClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_duf.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_duf.Caption+'" geändert.';
end;

(*--------------------------- gparted ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_gpartedClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_gparted.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_gparted.Caption+'" geändert.';
end;

(*--------------------------- systemd-analyze time ---------------------------*)

procedure TFormsimpleGUIbefehle.Button_systemdAnalyzeTimeClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_systemdAnalyzeTime.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_SystemdAnalyzeTime.Caption+'" geändert.';
end;

(*--------------------------- nmap -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_nmapClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_nmap.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_nmap.Caption+'" geändert.';
end;

(*--------------------------- list keyboard ----------------------------------*)

procedure TFormsimpleGUIbefehle.Button_keyboardClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_keyboard.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_keyboard.Caption+'" geändert.';
end;

(*--------------------------- arp --------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_arpClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_arp.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_arp.Caption+'" geändert.';
end;

(*--------------------------- vnstat -----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_vnstatClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_vnstat.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_vnstat.Caption+'" geändert.';
end;

(*--------------------------- BIOS oder UEFI ---------------------------------*)

procedure TFormsimpleGUIbefehle.Button_BIOSClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_BIOS.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_BIOS.Caption+'" geändert.';
end;

(*--------------------------- xkill ------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_xkillClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_xkill.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_xkill.Caption+'" geändert.';
end;

(*--------------------------- rtc --------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_rtcClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_rtc.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_rtc.Caption+'" geändert.';
end;

(*--------------------------- sensors ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_sensorsClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_sensors.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_sensors.Caption+'" geändert.';
end;

(*--------------------------- psensor ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_psensorClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_psensor.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_psensor.Caption+'" geändert.';
end;

(*--------------------------- bleachBit --------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_bleachbitClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_bleachbit.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_bleachbit.Caption+'" geändert.';
end;

(*--------------------------- bleachBit (root) -------------------------------*)

procedure TFormsimpleGUIbefehle.Button_bleachbitRootClick(Sender: TObject);
begin
  EditBefehl.Text:='pkexec bleachbit';
  StatusBar.Panels[0].Text:='Befehl in "'+Button_bleachbitRoot.Caption+'" geändert.'
end;

(*--------------------------- sync -------------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_syncClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_sync.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_sync.Caption+'" geändert.';
end;

(*--------------------------- sgdisk -----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_sgdiskClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_sgdisk.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_sgdisk.Caption+'" geändert.';
end;

(*--------------------------- timeout ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_timeoutClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_timeout.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_timeout.Caption+'" geändert.';
end;

(*--------------------------- sigkill ----------------------------------------*)

procedure TFormsimpleGUIbefehle.Button_sigkillClick(Sender: TObject);
begin
  EditBefehl.Text:=Button_sigkill.Caption;
  StatusBar.Panels[0].Text:='Befehl in "'+Button_sigkill.Caption+'" geändert.';
end;

(*--------------------------- Aktualisierung ---------------------------------*)

procedure TFormsimpleGUIbefehle.BitBtnStartClick(Sender: TObject);
begin
  If EditBefehl.Text = '' Then
    Begin
      MessageDlg('Fehler: Kein Befehl eingegeben!',mtInformation,[mbOK],0);
      FormCreate(Sender);
    end                   Else
  Begin
    Try                                                                         // Anlegen Skript
      Rewrite(TextDatei);
      Except
        ShowMessage('Skript simpleGUIbefehle.sh kann nicht anlegen werden! Bitte Verzeichnisse und Rechte prüfen!');
        Halt;
    end;

    TextZeile:='#!/bin/bash';
    WriteLN(TextDatei,TextZeile);
    TextZeile:='# 03.10.2014 - Freiheit   ><>';
    WriteLN(Textdatei,TextZeile);
    TextZeile:='echo Start Skript simpleGUIbefehle.sh - Bitte haben Sie etwas Geduld!';
    WriteLN(Textdatei,TextZeile);
    TextZeile:='echo Befehl: '+EditBefehl.Text;
//    ShowMessage('Befehl: '+EditBefehl.Text);
    WriteLN(Textdatei,TextZeile);
    TextZeile:='echo';
    WriteLN(Textdatei,TextZeile);

    TextZeile:=EditBefehl.Text;
    WriteLN(Textdatei,TextZeile);

    TextZeile:='echo';
    WriteLN(Textdatei,TextZeile);
    TextZeile:='echo Ende Skript simpleGUIbefehle.sh - Danke für die Benutzung!';
    WriteLN(Textdatei,TextZeile);

    CloseFile(TextDatei);
    ButtonAbbruch.Enabled := true;
//    ShowMessage('Haltepunkt nach Rewrite einstellen');
    Process.CommandLine:='xterm -hold -sb -right -geometry 180x50 -e /tmp/./simpleGUIbefehle.sh';
    Process.Active:=true;                                                       // eigentlicher Aufruf

    StatusBar.Panels[0].Text:='Befehl gestartet. Gedrückte Maustaste im Terminal-Fenster hält Befehl an! Click auf x im Terminal-Fenster beendet Befehl!   ><>';
  end;
end;

(*--------------------------- Abbruch ----------------------------------------*)

procedure TFormsimpleGUIbefehle.ButtonAbbruchClick(Sender: TObject);
begin
  Process.Active:=false;
  ButtonAbbruch.Enabled:=false;
  StatusBar.Panels[0].Text:='Ende / Abbruch angefordert.';
end;

end.

